package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tdf;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TdfMapper {

    int insert(Tdf record);

    int insertSelective(Tdf record);

    int updateByPrimaryKeySelective(Tdf record);

    int updateByPrimaryKey(Tdf record);

    int deleteByPrimaryKey(Tdf record);

    int deleteByIds(Collection<Object> collection);

    Tdf selectByPrimaryKey(Tdf record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdf> dyncRead(Map<String, Object> dyncMap);

}